function [Fi_dms, La_dms] = Bonn_inverz( a,f, eks, Fi_0, La_0, y_B, x_B, znak )


%a = 6378137.000;
%f = 1/298.257223563;
%[b, eks] = Parametri_b_eks(a,f);
%sredina toka projekcije
%Fi_0 = 40;
%La_0 = 95;
%x_B =
%y_B =

if znak(1) == 4
    Fi_0 = 0.000001;
end

La_0_rad = dms2rad(La_0);
Fi_0_rad = dms2rad(Fi_0);

N_0 = Polmer_vertikala(a, f, Fi_0);

B_0 = a*((1 - eks^2/4 - 3*eks^4/64 - 5*eks^6/256)*Fi_0_rad ...
    - (3*eks^2/8 + 3*eks^4/32 + 45*eks^6/1024)*sin(2*Fi_0_rad) ...
    + (15*eks^4/256 + 45*eks^6/1024)*sin(4*Fi_0_rad) ...
    - (35*eks^6/3072)*sin(6*Fi_0_rad));

%---------------------------------------------------

Ro_S = N_0 * 1/tan(Fi_0_rad); %+ B_0 - B_S;

if Fi_0 >= 0
    Ro = ((Ro_S - x_B)^2+ y_B^2)^(1/2);

elseif Fi_0 < 0
    Ro = -((Ro_S - x_B)^2+ y_B^2)^(1/2);
else
    disp('napaka')
end
    
delta_rad = asin(y_B/Ro);

B = N_0 * 1/tan(Fi_0_rad) + B_0 - Ro;

u = B / (a*(1-eks^2/4 - 3*eks^4/64 - 5*eks^6/256));

e1 = (1-(1-eks^2)^(1/2))/(1+(1-eks^2)^(1/2));

Fi_rad = u + (3*e1/2- 27*e1^3/32)* sin(2*u) ...
    + (21*e1^2/16 - 55*e1^4/32)* sin (4*u) ...
    + (151*e1^3/96)* sin(6*u)...
    +(1097*e1^4/512)* sin(8*u);

Fi_dms = rad2dms(Fi_rad);

N = Polmer_vertikala(a, f, Fi_dms);

La_rad = delta_rad * Ro / (N * cos (Fi_rad)) + La_0_rad;

La_dms =rad2dms(La_rad);

