function [ Fi_dms, La_dms ] = Cilind_pokoncna_inv( Fi_0, La_0, x_Cn, y_Cn, a, eks, Fi_S )

Fi_0_rad = dms2rad(Fi_0);
La_0_rad = dms2rad(La_0);

Fi_S_rad = dms2rad(Fi_S);

q_p = (1-eks^2)*(sin(pi/2)/(1-eks^2*sin(pi/2))- 1/(2*eks)*log((1 - eks*sin(pi/2))/(1 + eks*sin(pi/2))));
k0 = cos(Fi_S_rad)/(1-eks^2*sin(Fi_S_rad)^2)^(1/2);
Beta = asin(2*x_Cn*k0/(a*q_p));

Fi_rad = Beta + (eks^2/3 + 31*eks^4/180 + 517*eks^6/5040)*sin(2*Beta)...
    + (23*eks^4/360 + 251*eks^6/3780) * sin(4*Beta) + (761*eks^6/45360)*sin(6*Beta);

La_rad = La_0_rad + y_Cn/(a*k0);

Fi_dms = rad2dms(Fi_rad);
La_dms = rad2dms(La_rad);
