function [ Fi, La, Fi_0, La_0, Fi_1, Fi_2, h0, Fi_S, st_RT] = Izbira_celine(kontinent)

if kontinent(1) == 1
    disp('Izbrali ste kontinent 1: EVROPA')
   %Obmoje karte kontineta
    Fi = [75 70 65 60 55 50 45 40 35 30];
    La = [-30 -20 -10 0 10 20 30 40 50 60];
   %redina toka celine
    Fi_0 = 50;   
    La_0 = 20;
   %standardni paraleli za conusne projekcije
    Fi_1 = 42.5;
    Fi_2 = 64.666667;
   %merilo vzdol srednjega meridiana h0 za tranzverzalne cilindrine projekcije
    h0 = 0.984;
   %Standardna paralela za cilindrino pokonno projekcijo
    Fi_S = Fi_0;
   %tevilo referennih tok
    st_RT = 53;

     elseif kontinent(1) == 2
    disp('Izbrali ste kontinent 2: AZIJA')
   %Obmoje karte kontineta
    Fi = [80 70 60 50 40 30 20 10 0 -10];
    La = [30 40 50 60 70 80 90 100 110 120 130 140 150 160 170 180 190]; 
   %redina toka celine
    Fi_0 = 40; 
    La_0 = 95;
   %standardni paraleli za conusne projekcije
    Fi_1 = 28.833333;
    Fi_2 = 69.5;
   %merilo vzdol srednjega meridiana h0 za tranzverzalne cilindrine projekcije
    h0 = 0.950;
   %Standardna paralela za cilindrino pokonno projekcijo
    Fi_S = Fi_0;
   %tevilo referennih tok
    st_RT = 87;

     elseif kontinent(1) == 3
    disp('Izbrali ste kontinent 3: EVRAZIJA')
   %Obmoje karte kontineta
    Fi = [80 70 60 50 40 30 20 10 0 -10];
    La = [-30 -20 -10 0 10 20 30 40 50 60 70 80 90 100 110 120 130 140 150 160 170 180 190];    
   %redina toka celine
    Fi_0 = 40;
    La_0 = 85;
   %standardni paraleli za conusne projekcije
    Fi_1 = 29.5;
    Fi_2 = 70;
    %Fi_1 = 6;    % parareli za min deformacije po celotnem obmoju Evrazije
    %Fi_2 = 64;
   %merilo vzdol srednjega meridiana h0 za tranzverzalne cilindrine projekcije
    h0 = 1;
   %Standardna paralela za cilindrino pokonno projekcijo
    Fi_S = Fi_0;
   %tevilo referennih tok
    st_RT = 113;

      elseif kontinent(1) == 4
    disp('Izbrali ste kontinent 4: AFRIKA')
   %Obmoje karte kontineta
    Fi = [40 30 20 10 0 -10 -20 -30 -40];
    La = [-20 -10 0 10 20 30 40 50 60];
   %srednja toka kontinenta
    Fi_0 = 0;
    La_0 = 20;
   %standardni paraleli za conusne projekcije
    Fi_1 = 0;
    Fi_2 = 0;
   %merilo vzdol srednjega meridiana h0 za tranzverzalne cilindrine projekcije
    h0 = 0.983;
   %Standardna paralela za cilindrino pokonno projekcijo
    Fi_S = 18.833333;
   %tevilo referennih tok
    st_RT = 43;

     elseif kontinent(1) == 5
    disp('Izbrali ste kontinent 5: SEVERNA AMERIKA')
   %Obmoje karte kontineta
    Fi = [80 70 60 50 40 30 20 10];
    La = [-170 -160 -150 -140 -130 -120 -110 -100 -90 -80 -70 -60 -50]; 
   %redina toka celine
    Fi_0 = 45;
    La_0 = -95;
   %standardni paraleli za conusne projekcije
    Fi_1 = 29.5;
    Fi_2 = 70;
   %merilo vzdol srednjega meridiana h0 za tranzverzalne cilindrine projekcije
    h0 = 0.975;
   %Standardna paralela za cilindrino pokonno projekcijo
    Fi_S = Fi_0;  
   %tevilo referennih tok
    st_RT = 54;

     elseif kontinent(1) == 6
    disp('Izbrali ste kontinent 6: JUNA AMERIKA')
   %Obmoje karte kontineta
    Fi = [20 10 0 -10 -20 -30 -40 -50 -60];
    La = [-90 -80 -70 -60 -50 -40 -30];
   %redina toka celine
    Fi_0 = -20;
    La_0 = -60; 
   %standardni paraleli za conusne projekcije
    Fi_1 = -0.166666;
    Fi_2 = -39.666666;
   %merilo vzdol srednjega meridiana h0 za tranzverzalne cilindrine projekcije
    h0 = 0.983;
   %Standardna paralela za cilindrino pokonno projekcijo
    Fi_S = Fi_0; 
   %tevilo referennih tok
    st_RT = 29;

     elseif kontinent(1) == 7
    disp('Izbrali ste kontinent 7: AVSTRALIJA')
   %Obmoje karte kontineta
    Fi = [ -10 -15 -20 -25 -30 -35 -40 -45 -50];
    La = [110 120 130 140 150 160];
   %redina toka celine
    Fi_0 = -25;
    La_0 = 135;
   %standardni paraleli za conusne projekcije
    Fi_1 = -17.5;
    Fi_2 = -33;
   %merilo vzdol srednjega meridiana h0 za tranzverzalne cilindrine projekcije
    h0 = 0.980;
   %Standardna paralela za cilindrino pokonno projekcijo
    Fi_S = Fi_0;
   %tevilo referennih tok
    st_RT = 30;

     elseif kontinent(1) == 8
    disp('Izbrali ste kontinent 8: ANTARTIKA')
   %Obmoje karte kontineta
    Fi = [ -60 -70 -80];
    La = [0 10 20 30 40 50 60 70 80 90 100 110 120 130 140 150 160 170 180 ...
        -170 -160 -150 -140 -130 -120 -110 -100 -90 -80 -70 -60 -50 -40 -30 -20 -10];
   %redina toka celine
    Fi_0 = -90;
    La_0 = 0;
   %standardni paraleli za conusne projekcije
    Fi_1 = 0;
    Fi_2 = 0;
   %merilo vzdol srednjega meridiana h0 za tranzverzalne cilindrine projekcije
    h0 = 1;
   %Standardna paralela za cilindrino pokonno projekcijo
    Fi_S = 0;
   %tevilo referennih tok
    st_RT = 78;

   else
    disp(sprintf('--- VHODNI PODATKI SO NAPANI, vnesli ste napano tevilko eljenega kontineta ---'))
    disp(sprintf('--- Izbirate lahko med kontinenti, ki so oznaeni od 1 do 8. Vi ste vnesli tevilko %d  ---', kontinent(1)))
    disp(sprintf('--- POSKUSITE ZNOVA ---\n'))
end
