clear all
clc
%Podatki za kontinent  EVROPA
disp('Izbrali ste kontinent: EVROPA')
     Fi = [75 70 65 60 55 50 45 40 35 30];
     La = [-30 -20 -10 0 10 20 30 40 50 60];
     %Sredie kontinenta
     Fi_0 = 50;
     La_0 = 20;
     %Nielna matrika W
     st_n = size (Fi);
     st_m = size (La);
     W = zeros (st_n(2), st_m(2));
     %referenne toke
     RF_T = [ 0 0 0 0 0 0 0 0 0 0
          0 0 0 0 0 W(2,6) W(2,7) W(2,8) W(2,9) W(2,10)
          0 W(3,2) 0 0 W(3,5) W(3,6) W(3,7) W(3,8) W(3,9) W(3,10)
          0 0 W(4,3) W(4,4) W(4,5) W(4,6) W(4,7) W(4,8) W(4,9) W(4,10)
          0 0 W(5,3) W(5,4) W(5,5) W(5,6) W(5,7) W(5,8) W(5,9) W(5,10)
          0 0 W(6,3) W(6,4) W(6,5) W(6,6) W(6,7) W(6,8) W(6,9) W(6,10)
          0 0 W(7,3) W(7,4) W(7,5) W(7,6) W(7,7) W(7,8) W(7,9) 0
          0 0 W(8,3) W(8,4) W(8,5) W(8,6) W(8,7) 0 W(8,9) 0
          0 0 W(9,3) W(9,4) W(9,5) W(9,6) 0 0 0 0
          0 0 0 0 0 0 0 0 0 0];
     %tevilo referennih tok
     RF_st = 42;
     %zaetni standardni paraleli za conusne projekcije
     Fi_1 = 45;
     Fi_2 = 60;
%parametri GRS80 elipsoida
a = 6378137.000;
f = 1/298.257223563;
[b, eks] = Parametri_b_eks(a,f);


%doloitev standardnih paralel za stoine projekcije pri celinah


%--------------------------------------------------------------------------
%---------------- ALBERSOVA EKVIVALENTNA KONUSNA PROJEKCIA ----------------
%--------------------------------------------------------------------------
st_n = size (Fi);
st_m = size (La);

%DOLOITEV STANDARDNE PARARELE Fi_1 (1.interacija)
for k = 0:20
Fi_1 = Fi_0 - k;
for i = 1: st_n(2)
    for j = 1:st_m(2)
        
[Y_A, X_A, omega_dms, P_A, Epsilon_A1] = Albers_proj( Fi_0, La_0, Fi_1, Fi_2, Fi(i), La(j), a, f, eks);

y_A(i,j) = Y_A;
x_A(i,j) = X_A;
omega_A(i,j) = omega_dms;
p_A (i,j)= P_A;
Epsilon_a1(i,j) = Epsilon_A1;
    end
end

W = omega_A; 

%ref_tocke = [ 0 0 0 0 0 0 0 0 0 0
          %0 0 0 0 0 W(2,6) W(2,7) W(2,8) W(2,9) W(2,10)
          %0 W(3,2) 0 0 W(3,5) W(3,6) W(3,7) W(3,8) W(3,9) W(3,10)
          %0 0 W(4,3) W(4,4) W(4,5) W(4,6) W(4,7) W(4,8) W(4,9) W(4,10)
          %0 0 W(5,3) W(5,4) W(5,5) W(5,6) W(5,7) W(5,8) W(5,9) W(5,10)
          ref_tocke = [0 0 W(6,3) W(6,4) W(6,5) W(6,6) W(6,7) W(6,8) W(6,9) W(6,10)
          0 0 W(7,3) W(7,4) W(7,5) W(7,6) W(7,7) W(7,8) W(7,9) 0
          0 0 W(8,3) W(8,4) W(8,5) W(8,6) W(8,7) 0 W(8,9) 0
          0 0 W(9,3) W(9,4) W(9,5) W(9,6) 0 0 0 0
          0 0 0 0 0 0 0 0 0 0];
     
Fi_S(k+1) =  Fi_1;    
sum_RF(k+1) = sum (sum(ref_tocke));

end
Fi_S';
sum_RF';
figure 
 plot ( Fi_S',sum_RF')
 title('DOLOITEV STANDARDNE PARARELE Fi_1 za EVROPO (1.iteracija)')
 xlabel('Poloaj standardne paralele Fi_1 []')
 ylabel('vsota kotnih deformacij na RF_T')

%DOLOITEV STANDARDNE PARARELE Fi_2 (1.interacija)

Fi_1 = 44; % iz prvega grafa preberi najnijo vrednost
for h = 0:20
Fi_2 = Fi_0 + h;
for i = 1: st_n(2)
    for j = 1:st_m(2)
        
[Y_A, X_A, omega_dms, P_A, Epsilon_A1] = Albers_proj( Fi_0, La_0, Fi_1, Fi_2, Fi(i), La(j), a, f, eks);

y_A(i,j) = Y_A;
x_A(i,j) = X_A;
omega_A(i,j) = omega_dms;
p_A (i,j)= P_A;
Epsilon_a1(i,j) = Epsilon_A1;
    end
end

W = omega_A; 

ref_tocke = [ 0 0 0 0 0 0 0 0 0 0
          0 0 0 0 0 W(2,6) W(2,7) W(2,8) W(2,9) W(2,10)
          0 W(3,2) 0 0 W(3,5) W(3,6) W(3,7) W(3,8) W(3,9) W(3,10)
          0 0 W(4,3) W(4,4) W(4,5) W(4,6) W(4,7) W(4,8) W(4,9) W(4,10)
          0 0 W(5,3) W(5,4) W(5,5) W(5,6) W(5,7) W(5,8) W(5,9) W(5,10)];
          %ref_tocke = [0 0 W(6,3) W(6,4) W(6,5) W(6,6) W(6,7) W(6,8) W(6,9) W(6,10)
          %0 0 W(7,3) W(7,4) W(7,5) W(7,6) W(7,7) W(7,8) W(7,9) 0
          %0 0 W(8,3) W(8,4) W(8,5) W(8,6) W(8,7) 0 W(8,9) 0
          %0 0 W(9,3) W(9,4) W(9,5) W(9,6) 0 0 0 0
          %0 0 0 0 0 0 0 0 0 0];
Fi_N(h+1) =  Fi_2;    
sum_RF(h+1) = sum (sum(ref_tocke));

end
Fi_N';
sum_RF';
figure 
 plot ( Fi_N',sum_RF')
 title('DOLOITEV STANDARDNE PARARELE Fi_2 za EVROPO (1.iteracija)')
 xlabel('Poloaj standardne paralele Fi_2 []')
 ylabel('vsota kotnih deformacij na RF_T')

%DOLOITEV STANDARDNE PARARELE Fi_1 (2.interacija)

Fi_2 = 64.6666; %Iz drugega grafa preberi naj nijo vrednost in jo zapii
for k = 0:24
Fi_1 = 45 - k/6;
for i = 1: st_n(2)
    for j = 1:st_m(2)
        
[Y_A, X_A, omega_dms, P_A, Epsilon_A1] = Albers_proj( Fi_0, La_0, Fi_1, Fi_2, Fi(i), La(j), a, f, eks);

y_A(i,j) = Y_A;
x_A(i,j) = X_A;
omega_A(i,j) = omega_dms;
p_A (i,j)= P_A;
Epsilon_a1(i,j) = Epsilon_A1;
    end
end

W = omega_A; 

%ref_tocke = [ 0 0 0 0 0 0 0 0 0 0
          %0 0 0 0 0 W(2,6) W(2,7) W(2,8) W(2,9) W(2,10)
          %0 W(3,2) 0 0 W(3,5) W(3,6) W(3,7) W(3,8) W(3,9) W(3,10)
          %0 0 W(4,3) W(4,4) W(4,5) W(4,6) W(4,7) W(4,8) W(4,9) W(4,10)
          %0 0 W(5,3) W(5,4) W(5,5) W(5,6) W(5,7) W(5,8) W(5,9) W(5,10)
          ref_tocke = [0 0 W(6,3) W(6,4) W(6,5) W(6,6) W(6,7) W(6,8) W(6,9) W(6,10)
          0 0 W(7,3) W(7,4) W(7,5) W(7,6) W(7,7) W(7,8) W(7,9) 0
          0 0 W(8,3) W(8,4) W(8,5) W(8,6) W(8,7) 0 W(8,9) 0
          0 0 W(9,3) W(9,4) W(9,5) W(9,6) 0 0 0 0
          0 0 0 0 0 0 0 0 0 0];
Fi_Ss(k+1) =  Fi_1;    
sum_RFs(k+1) = sum (sum(ref_tocke));

end
Fi_Ss';
sum_RFs';
figure 
 plot ( Fi_Ss',sum_RFs')
 title('DOLOITEV STANDARDNE PARARELE Fi_1 za EVROPO (n.iteracija)')
 xlabel('Poloaj standardne paralele Fi_1 []')
 ylabel('vsota kotnih deformacij na RF_T')
 
%DOLOITEV STANDARDNE PARARELE Fi_2 (2.interacija)

Fi_1 = 42.5; %Iz tretjega grafa preberi naj nijo vrednost in jo zapii
for h = 0:24
Fi_2 = 63 + h/6;
for i = 1: st_n(2)
    for j = 1:st_m(2)
        
[Y_A, X_A, omega_dms, P_A, Epsilon_A1] = Albers_proj( Fi_0, La_0, Fi_1, Fi_2, Fi(i), La(j), a, f, eks);

y_A(i,j) = Y_A;
x_A(i,j) = X_A;
omega_A(i,j) = omega_dms;
p_A (i,j)= P_A;
Epsilon_a1(i,j) = Epsilon_A1;
    end
end

W = omega_A; 

ref_tocke = [ 0 0 0 0 0 0 0 0 0 0
          0 0 0 0 0 W(2,6) W(2,7) W(2,8) W(2,9) W(2,10)
          0 W(3,2) 0 0 W(3,5) W(3,6) W(3,7) W(3,8) W(3,9) W(3,10)
          0 0 W(4,3) W(4,4) W(4,5) W(4,6) W(4,7) W(4,8) W(4,9) W(4,10)
          0 0 W(5,3) W(5,4) W(5,5) W(5,6) W(5,7) W(5,8) W(5,9) W(5,10)];
          %ref_tocke = [0 0 W(6,3) W(6,4) W(6,5) W(6,6) W(6,7) W(6,8) W(6,9) W(6,10)
          %0 0 W(7,3) W(7,4) W(7,5) W(7,6) W(7,7) W(7,8) W(7,9) 0
          %0 0 W(8,3) W(8,4) W(8,5) W(8,6) W(8,7) 0 W(8,9) 0
          %0 0 W(9,3) W(9,4) W(9,5) W(9,6) 0 0 0 0
          %0 0 0 0 0 0 0 0 0 0];
Fi_Nn(h+1) =  Fi_2;    
sum_RFn(h+1) = sum (sum(ref_tocke));
end
%povprecje = sum_RF/RF_st

Fi_Nn';
sum_RFn';
figure 
plot ( Fi_Nn',sum_RFn')
 title('DOLOITEV STANDARDNE PARARELE Fi_2 za EVROPO (n.iteracija)')
 xlabel('Poloaj standardne paralele Fi_2 []')
 ylabel('vsota kotnih deformacij na RF_T')