clear all
clc
%Podatki za kontinent Severna Amerika
disp('Izbrali ste kontinent: EVRAZIJA')
     Fi = [ 80 70 60 50 40 30 20 10 0 -10];
     La = [-30 -20 -10 0 10 20 30 40 50 60 70 80 90 100 110 120 130 140 150 160 170 180 190];
     %Sredie kontineta
     Fi_0 = 40;
     La_0 = 85;
     %Nielna matrika W
     st_n = size (Fi);
     st_m = size (La);
     W = zeros (st_n(2), st_m(2));
     %referenne toke
    RF_T = [0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
          0 W(2,2) 0 0 W(2,5) W(2,6) W(2,7) W(2,8) W(2,9) W(2,10) W(2,11)... 
          W(2,12) W(2,13) W(2,14) W(2,15) W(2,16) W(2,17) W(2,18) W(2,19)...
          W(2,20) W(2,21) W(2,22) W(2,23)
          0 W(3,2) W(3,3) W(3,4) W(3,5) W(3,6) W(3,7) W(3,8) W(3,9) W(3,10)... 
          W(3,11) W(3,12) W(3,13) W(3,14) W(3,15) W(3,16) W(3,17) W(3,18)... 
          W(3,19) W(3,20) W(3,21) W(3,22) W(3,23)
          0 0 W(4,3) W(4,4) W(4,5) W(4,6) W(4,7) W(4,8) W(4,9) W(4,10) W(4,11)... 
          W(4,12) W(4,13) W(4,14) W(4,15) W(4,16) W(4,17) W(4,18) W(4,19)...
          W(4,20) 0 0 0
          0 0 W(5,3) W(5,4) W(5,5) W(5,6) W(5,7) W(5,8) W(5,9) W(5,10) W(5,11)... 
          W(5,12) W(5,13) W(5,14) W(5,15) W(5,16) W(5,17) W(5,18) W(5,19) 0 0 0 0
          0 0 W(6,3) 0 0 0 W(6,7) W(6,8) W(6,9) W(6,10) W(6,11) W(6,12) W(6,13)...
          W(6,14) W(6,15) W(6,16) W(6,17) W(6,18) 0 0 0 0 0
          0 0 0 0 0 0 0 W(7,8) W(7,9) W(7,10) W(7,11) W(7,12) W(7,13) W(7,14)...
          W(7,15) W(7,16) 0 0 0 0 0 0 0
          0 0 0 0 0 0 0 W(8,8) W(8,9) 0 W(8,11) W(8,12) W(8,13) W(8,14)...
          W(8,15) W(8,16) W(6,17) 0 0 0 0 0 0
          0 0 0 0 0 0 0 0 0 0 0 0 0 W(9,14) W(9,15) W(9,16) 0 0 0 0 0 0 0 
          0 0 0 0 0 0 0 0 0 0 0 0 0 0 W(10,15) W(10,16) 0 0 0 0 0 0 0 ];
          
     %tevilo referennih tok
     RF_st = 119;             
     %standardni paraleli za conusne projekcije
     Fi_1 = 20;
     Fi_2 = 67;
     
%parametri GRS80 elipsoida
a = 6378137.000;
f = 1/298.257223563;
[b, eks] = Parametri_b_eks(a,f);


%doloitev standardnih paralel za stoine projekcije pri celinah


%--------------------------------------------------------------------------
%---------------- ALBERSOVA EKVIVALENTNA KONUSNA PROJEKCIA ----------------
%--------------------------------------------------------------------------
st_n = size (Fi);
st_m = size (La);

%DOLOITEV STANDARDNE PARARELE Fi_1 (1.interacija)
for k = 0:55
Fi_1 = Fi_0 - k;
for i = 1: st_n(2)
    for j = 1:st_m(2)
        
[Y_A, X_A, omega_dms, P_A, Epsilon_A1] = Albers_proj( Fi_0, La_0, Fi_1, Fi_2, Fi(i), La(j), a, f, eks);

y_A(i,j) = Y_A;
x_A(i,j) = X_A;
omega_A(i,j) = omega_dms;
p_A (i,j)= P_A;
Epsilon_a1(i,j) = Epsilon_A1;
    end
end

W = omega_A; 


%ref_tocke = [0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
          %0 W(2,2) 0 0 W(2,5) W(2,6) W(2,7) W(2,8) W(2,9) W(2,10) W(2,11)... 
          %W(2,12) W(2,13) W(2,14) W(2,15) W(2,16) W(2,17) W(2,18) W(2,19)...
          %W(2,20) W(2,21) W(2,22) W(2,23)
          %0 W(3,2) W(3,3) W(3,4) W(3,5) W(3,6) W(3,7) W(3,8) W(3,9) W(3,10)... 
          %W(3,11) W(3,12) W(3,13) W(3,14) W(3,15) W(3,16) W(3,17) W(3,18)... 
          %W(3,19) W(3,20) W(3,21) W(3,22) W(3,23)
          %0 0 W(4,3) W(4,4) W(4,5) W(4,6) W(4,7) W(4,8) W(4,9) W(4,10) W(4,11)... 
          %W(4,12) W(4,13) W(4,14) W(4,15) W(4,16) W(4,17) W(4,18) W(4,19)...
          %W(4,20) 0 0 0
ref_tocke = [0 0 W(5,3) W(5,4) W(5,5) W(5,6) W(5,7) W(5,8) W(5,9) W(5,10) W(5,11)...
          W(5,12) W(5,13) W(5,14) W(5,15) W(5,16) W(5,17) W(5,18) W(5,19) 0 0 0 0
          0 0 W(6,3) 0 0 0 W(6,7) W(6,8) W(6,9) W(6,10) W(6,11) W(6,12) W(6,13)...
          W(6,14) W(6,15) W(6,16) W(6,17) W(6,18) 0 0 0 0 0
          0 0 0 0 0 0 0 W(7,8) W(7,9) W(7,10) W(7,11) W(7,12) W(7,13) W(7,14)...
          W(7,15) W(7,16) 0 0 0 0 0 0 0
          0 0 0 0 0 0 0 W(8,8) W(8,9) 0 W(8,11) W(8,12) W(8,13) W(8,14)...
          W(8,15) W(8,16) W(6,17) 0 0 0 0 0 0
          0 0 0 0 0 0 0 0 0 0 0 0 0 W(9,14) W(9,15) W(9,16) 0 0 0 0 0 0 0 
          0 0 0 0 0 0 0 0 0 0 0 0 0 0 W(10,15) W(10,16) 0 0 0 0 0 0 0 ];     
     
Fi_S(k+1) =  Fi_1;    
max_RF(k+1) = max (max(ref_tocke));

end
Fi_S';
max_RF';
figure 
 plot ( Fi_S',max_RF')
 title('DOLOITEV STANDARDNE PARARELE Fi_1 za AZIJO (1.iteracija)')
 xlabel('Poloaj standardne paralele Fi_1 []')
 ylabel('Vsota kotnih deformacij na RF_T')

%DOLOITEV STANDARDNE PARARELE Fi_2 (1.interacija)

Fi_1 = 7.5; % iz prvega grafa preberi najnijo vrednost
for h = 0:40
Fi_2 = Fi_0 + h;
for i = 1: st_n(2)
    for j = 1:st_m(2)
        
[Y_A, X_A, omega_dms, P_A, Epsilon_A1] = Albers_proj( Fi_0, La_0, Fi_1, Fi_2, Fi(i), La(j), a, f, eks);

y_A(i,j) = Y_A;
x_A(i,j) = X_A;
omega_A(i,j) = omega_dms;
p_A (i,j)= P_A;
Epsilon_a1(i,j) = Epsilon_A1;
    end
end

W = omega_A; 
ref_tocke =[0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
          0 W(2,2) 0 0 W(2,5) W(2,6) W(2,7) W(2,8) W(2,9) W(2,10) W(2,11)... 
          W(2,12) W(2,13) W(2,14) W(2,15) W(2,16) W(2,17) W(2,18) W(2,19)...
          W(2,20) W(2,21) W(2,22) W(2,23)
          0 W(3,2) W(3,3) W(3,4) W(3,5) W(3,6) W(3,7) W(3,8) W(3,9) W(3,10)... 
          W(3,11) W(3,12) W(3,13) W(3,14) W(3,15) W(3,16) W(3,17) W(3,18)... 
          W(3,19) W(3,20) W(3,21) W(3,22) W(3,23)
          0 0 W(4,3) W(4,4) W(4,5) W(4,6) W(4,7) W(4,8) W(4,9) W(4,10) W(4,11)... 
          W(4,12) W(4,13) W(4,14) W(4,15) W(4,16) W(4,17) W(4,18) W(4,19)...
          W(4,20) 0 0 0
          0 0 W(5,3) W(5,4) W(5,5) W(5,6) W(5,7) W(5,8) W(5,9) W(5,10) W(5,11)... 
          W(5,12) W(5,13) W(5,14) W(5,15) W(5,16) W(5,17) W(5,18) W(5,19) 0 0 0 0];
          %0 0 W(6,3) 0 0 0 W(6,7) W(6,8) W(6,9) W(6,10) W(6,11) W(6,12) W(6,13)...
          %W(6,14) W(6,15) W(6,16) W(6,17) W(6,18) 0 0 0 0 0
          %0 0 0 0 0 0 0 W(7,8) W(7,9) W(7,10) W(7,11) W(7,12) W(7,13) W(7,14)...
          %W(7,15) W(7,16) 0 0 0 0 0 0 0
          %0 0 0 0 0 0 0 W(8,8) W(8,9) 0 W(8,11) W(8,12) W(8,13) W(8,14)...
          %W(8,15) W(8,16) W(6,17) 0 0 0 0 0 0
          %0 0 0 0 0 0 0 0 0 0 0 0 0 W(9,14) W(9,15) W(9,16) 0 0 0 0 0 0 0 
          %0 0 0 0 0 0 0 0 0 0 0 0 0 0 W(10,15) W(10,16) 0 0 0 0 0 0 0 ];
Fi_N(h+1) =  Fi_2;    
max_RFf(h+1) =max (max(ref_tocke));

end
Fi_N';
max_RF';
figure 
 plot ( Fi_N',max_RFf')
 title('DOLOITEV STANDARDNE PARARELE Fi_2 za AZIJO (1.iteracija)')
 xlabel('Poloaj standardne paralele Fi_2 []')
 ylabel('Vsota kotnih deformacij na RF_T')

%DOLOITEV STANDARDNE PARARELE Fi_1 (2.interacija)

Fi_2 = 63.5; %Iz drugega grafa preberi naj nijo vrednost in jo zapii
for k = 0:12
Fi_1 =5 + k/6;
for i = 1: st_n(2)
    for j = 1:st_m(2)
        
[Y_A, X_A, omega_dms, P_A, Epsilon_A1] = Albers_proj( Fi_0, La_0, Fi_1, Fi_2, Fi(i), La(j), a, f, eks);

y_A(i,j) = Y_A;
x_A(i,j) = X_A;
omega_A(i,j) = omega_dms;
p_A (i,j)= P_A;
Epsilon_a1(i,j) = Epsilon_A1;
    end
end

W = omega_A; 
%ref_tocke = [0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
          %0 W(2,2) 0 0 W(2,5) W(2,6) W(2,7) W(2,8) W(2,9) W(2,10) W(2,11)... 
          %W(2,12) W(2,13) W(2,14) W(2,15) W(2,16) W(2,17) W(2,18) W(2,19)...
          %W(2,20) W(2,21) W(2,22) W(2,23)
          %0 W(3,2) W(3,3) W(3,4) W(3,5) W(3,6) W(3,7) W(3,8) W(3,9) W(3,10)... 
          %W(3,11) W(3,12) W(3,13) W(3,14) W(3,15) W(3,16) W(3,17) W(3,18)... 
          %W(3,19) W(3,20) W(3,21) W(3,22) W(3,23)
          %0 0 W(4,3) W(4,4) W(4,5) W(4,6) W(4,7) W(4,8) W(4,9) W(4,10) W(4,11)... 
          %W(4,12) W(4,13) W(4,14) W(4,15) W(4,16) W(4,17) W(4,18) W(4,19)...
          %W(4,20) 0 0 0
ref_tocke = [0 0 W(5,3) W(5,4) W(5,5) W(5,6) W(5,7) W(5,8) W(5,9) W(5,10) W(5,11)...
          W(5,12) W(5,13) W(5,14) W(5,15) W(5,16) W(5,17) W(5,18) W(5,19) 0 0 0 0
          0 0 W(6,3) 0 0 0 W(6,7) W(6,8) W(6,9) W(6,10) W(6,11) W(6,12) W(6,13)...
          W(6,14) W(6,15) W(6,16) W(6,17) W(6,18) 0 0 0 0 0
          0 0 0 0 0 0 0 W(7,8) W(7,9) W(7,10) W(7,11) W(7,12) W(7,13) W(7,14)...
          W(7,15) W(7,16) 0 0 0 0 0 0 0
          0 0 0 0 0 0 0 W(8,8) W(8,9) 0 W(8,11) W(8,12) W(8,13) W(8,14)...
          W(8,15) W(8,16) W(6,17) 0 0 0 0 0 0
          0 0 0 0 0 0 0 0 0 0 0 0 0 W(9,14) W(9,15) W(9,16) 0 0 0 0 0 0 0 
          0 0 0 0 0 0 0 0 0 0 0 0 0 0 W(10,15) W(10,16) 0 0 0 0 0 0 0 ];
Fi_Ss(k+1) =  Fi_1;    
max_RFs(k+1) = max (max(ref_tocke));

end
Fi_Ss';
max_RFs';
figure 
 plot ( Fi_Ss',max_RFs')
 title('DOLOITEV STANDARDNE PARARELE Fi_1 za AZIJO (n-ta iteracija)')
 xlabel('Poloaj standardne paralele Fi_1 []')
 ylabel('Vsota kotnih deformacij na RF_T')
 
%DOLOITEV STANDARDNE PARARELE Fi_2 (2.interacija)

Fi_1 = 6; %Iz tretjega grafa preberi naj nijo vrednost in jo zapii
for h = 0:15
Fi_2 = 63 + h/6;
for i = 1: st_n(2)
    for j = 1:st_m(2)
        
[Y_A, X_A, omega_dms, P_A, Epsilon_A1] = Albers_proj( Fi_0, La_0, Fi_1, Fi_2, Fi(i), La(j), a, f, eks);

y_A(i,j) = Y_A;
x_A(i,j) = X_A;
omega_A(i,j) = omega_dms;
p_A (i,j)= P_A;
Epsilon_a1(i,j) = Epsilon_A1;
    end
end

W = omega_A; 
ref_tocke =[0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
          0 W(2,2) 0 0 W(2,5) W(2,6) W(2,7) W(2,8) W(2,9) W(2,10) W(2,11)... 
          W(2,12) W(2,13) W(2,14) W(2,15) W(2,16) W(2,17) W(2,18) W(2,19)...
          W(2,20) W(2,21) W(2,22) W(2,23)
          0 W(3,2) W(3,3) W(3,4) W(3,5) W(3,6) W(3,7) W(3,8) W(3,9) W(3,10)... 
          W(3,11) W(3,12) W(3,13) W(3,14) W(3,15) W(3,16) W(3,17) W(3,18)... 
          W(3,19) W(3,20) W(3,21) W(3,22) W(3,23)
          0 0 W(4,3) W(4,4) W(4,5) W(4,6) W(4,7) W(4,8) W(4,9) W(4,10) W(4,11)... 
          W(4,12) W(4,13) W(4,14) W(4,15) W(4,16) W(4,17) W(4,18) W(4,19)...
          W(4,20) 0 0 0
          0 0 W(5,3) W(5,4) W(5,5) W(5,6) W(5,7) W(5,8) W(5,9) W(5,10) W(5,11)... 
          W(5,12) W(5,13) W(5,14) W(5,15) W(5,16) W(5,17) W(5,18) W(5,19) 0 0 0 0];
          %0 0 W(6,3) 0 0 0 W(6,7) W(6,8) W(6,9) W(6,10) W(6,11) W(6,12) W(6,13)...
          %W(6,14) W(6,15) W(6,16) W(6,17) W(6,18) 0 0 0 0 0
          %0 0 0 0 0 0 0 W(7,8) W(7,9) W(7,10) W(7,11) W(7,12) W(7,13) W(7,14)...
          %W(7,15) W(7,16) 0 0 0 0 0 0 0
          %0 0 0 0 0 0 0 W(8,8) W(8,9) 0 W(8,11) W(8,12) W(8,13) W(8,14)...
          %W(8,15) W(8,16) W(6,17) 0 0 0 0 0 0
          %0 0 0 0 0 0 0 0 0 0 0 0 0 W(9,14) W(9,15) W(9,16) 0 0 0 0 0 0 0 
          %0 0 0 0 0 0 0 0 0 0 0 0 0 0 W(10,15) W(10,16) 0 0 0 0 0 0 0 ]; 
Fi_Nn(h+1) =  Fi_2;    
max_RFn(h+1) = max (max(ref_tocke));;
end

%povprecje = sum_RF/RF_st
Fi_Nn';
max_RFn';
figure 
plot ( Fi_Nn',max_RFn')
 title('DOLOITEV STANDARDNE PARARELE Fi_2 za AZIJO (n-ta iteracija)')
 xlabel('Poloaj standardne paralele Fi_2 []')
 ylabel('Vsota kotnih deformacij na RF_T')
