function [ Fi, La, Fi_1, Fi_2, Fi_0, La_0, RF_st] = Izbira_celine( znak )

if znak(1) == 1
    disp('Izbrali ste kontinent: AFRIKA')
    Fi = [40 30 20 10 0 -10 -20 -30 -40];
    La = [-20 -10 0 10 20 30 40 50 60];
   %srednja toka kontinenta
    Fi_0 = 5;
    La_0 = 20;
   %Nielna matrika W
    st_n = size (Fi);
    st_m = size (La);
    W = zeros (st_n(2), st_m(2));
   %matrika referennih tok
    RF_T = [0 W(1,2) W(1,3) W(1,4) 0 0 0 0 0
       0 W(2,2) W(2,3) W(2,4) W(2,5) W(2,6) 0 0 0
       W(3,1) W(3,2) W(3,3) W(3,4) W(3,5) W(3,6) W(3,7) 0 0
       W(4,1) W(4,2) W(4,3) W(4,4) W(4,5) W(4,6) W(4,7) W(4,8) 0
       0 W(5,2) W(5,3) W(5,4) W(5,5) W(5,6) W(5,7) 0 0
       0 0 0 W(6,4) W(6,5) W(6,6) W(6,7) W(6,8) 0
       0 0 0  W(7,4) W(7,5) W(7,6) W(7,7) W(7,8) 0
       0 0 0 0 W(8,5) W(8,6) W(8,7) 0 0
       0 0 0 0 W(9,5) 0 0 0 0];
   %tevilo referennih tok
   RF_st = 43;
   %Standarni paraleli
   Fi_1 = 0;
   Fi_2 = 0;
   
elseif znak(1) == 2
    disp('Izbrali ste kontinent: ANTARTIKA')
    Fi = [ -60 -70 -80];
    La = [0 10 20 30 40 50 60 70 80 90 100 110 120 130 140 150 160 170 180 ...
        -170 -160 -150 -140 -130 -120 -110 -100 -90 -80 -70 -60 -50 -40 -30 -20 -10];
    %sredie kontineta
    Fi_0 = -90;
    La_0 = 0;
    %Nielna matrika W
    st_n = size (Fi);
    st_m = size (La);
    W = zeros (st_n(2), st_m(2));
    %referenne toke
    RF_T = [0 0 0 0 0 W(1,6) W(1,7) W(1,8) 0 W(1,10) W(1,11) W(1,12) W(1,13) W(1,14)...
        W(1,15) 0 0 0 0 0 0 0 0 0 0 0 0 0 0 W(1,30) W(1,31) W(1,32) 0 0 0 0
        W(2,1) W(2,2) W(2,3) W(2,4) W(2,5) W(2,6) W(2,7) W(2,8) W(2,9) W(2,10) W(2,11)... 
        W(2,12) W(2,13) W(2,14) W(2,15) W(2,16) W(2,17) W(2,18) 0 0 0 W(2,22) W(2,23)...
        W(2,24) W(2,25) W(2,26) W(2,27) W(2,28) W(2,29) W(2,30) W(2,31) 0 0 0 W(2,35) W(2,36) 
        W(3,1) W(3,2) W(3,3) W(3,4) W(3,5) W(3,6) W(3,7) W(3,8) W(3,9) W(3,10)...
        W(3,11) W(3,12) W(3,13) W(3,14) W(3,15) W(3,16) W(3,17) W(3,18) W(3,19) W(3,20)... 
        W(3,21) W(3,22) W(2,23) W(2,24) W(2,25) W(2,26) W(2,27) W(2,28) W(2,29) W(2,30)...
        W(2,31) W(3,32) W(3,33) W(3,34) W(2,35) W(2,36)]; 
   %tevilo referennih tok
   RF_st = 78;
   %Standarni paraleli
   Fi_1 = 0;
   Fi_2 = 0;

elseif znak(1) == 3
    disp('Izbrali ste kontinent: AVSTRALIJA')
    Fi = [ -10 -15 -20 -25 -30 -35 -40 -45 -50];
    La = [110  120  130  140  150  160];
    %Sredie kontineta
    Fi_0 = -25;
    La_0 = 135;
    %Nielna matrika W
    st_n = size (Fi);
    st_m = size (La);
    W = zeros (st_n(2), st_m(2));
    %referenne toke
    RF_T = [0 0 W(1,3) W(1,4) 0 0
         0 W(2,2) W(2,3) W(2,4) W(2,5) 0
         0 W(3,2) W(3,3) W(3,4) W(3,5) 0
         W(4,1) W(4,2) W(4,3) W(4,4) W(4,5) W(4,6)
         W(5,1) W(5,2) W(5,3) W(5,4) W(5,5) W(5,6)
         W(6,1) W(6,2) W(6,3) W(6,4) W(6,5) 0
         0 0 0 W(7,4) W(7,5) 0
         0 0 0 0 W(8,5) 0
         0 0 0 0 0 0];
    %tevilo referennih tok
    RF_st = 30;
    %standardni paraleli za conusne projekcije
    Fi_1 = -20;
    Fi_2 = -40;
    
elseif znak(1) == 4
    disp('Izbrali ste kontinent: AZIJA')
     Fi = [80 70 60 50 40 30 20 10 0 -10];
     La = [30 40 50 60 70 80 90 100 110 120 130 140 150 160 170 180 190]; 
     %Standardne paralele
     Fi_0 = 40; 
     La_0 = 95;
     %Nielna matrika W
     st_n = size (Fi);
     st_m = size (La);
     W = zeros (st_n(2), st_m(2));
     %referenne toke
     RF_T = [0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 
          0 W(2,2) W(2,3) W(2,4) W(2,5) W(2,6) W(2,7) W(2,8) W(2,9) W(2,10) W(2,11)... 
          W(2,12) W(2,13) W(2,14) W(2,15) W(2,16) W(2,17)
          0 W(3,2) W(3,3) W(3,4) W(3,5) W(3,6) W(3,7) W(3,8) W(3,9) W(3,10)...
          W(3,11) W(3,12) W(3,13) W(3,14) W(3,15) W(3,16) W(3,17)
          0 W(4,2) W(4,3) W(4,4) W(4,5) W(4,6) W(4,7) W(4,8) W(4,9) W(4,10)...
          W(4,11) W(3,12) W(3,13) 0 0 0 0 
          W(5,1) W(5,2) W(5,3) W(5,4) W(5,5) W(5,6) W(5,7) W(5,8) W(5,9) W(5,10)...
          W(5,11) W(5,12) W(5,13) 0 0 0 0
          W(6,1) W(6,2) W(6,3) W(6,4) W(6,5) W(6,6) W(6,7) W(6,8) W(6,9) W(6,10)...
          W(6,11) W(6,12) 0 0 0 0 0
          0 W(7,2) W(7,3) W(7,4) W(7,5) W(7,6) W(7,7) W(7,8) W(7,9) W(7,10) 0 0 0 0 0 0 0
          0 W(8,2) W(8,3) 0 W(8,5) W(8,6) W(8,7) W(8,8) W(8,9) W(8,10) W(5,11) 0 0 0 0 0 0
          0 0 0 0 0 0 0 W(9,8) W(9,9) W(9,10) W(9,11) W(9,12) W(9,13) 0 0 0 0 
          0 0 0 0 0 0 0 0 W(10,9) W(10,10) W(10,11) W(10,12) W(10,13) 0 0 0 0];    
     %tevilo referennih tok
     RF_st = 99;
     %standardni paraleli za conusne projekcije
     Fi_1 = 18;
     Fi_2 = 71;
     
elseif znak(1) == 5
    disp('Izbrali ste kontinent: EVRAZIJA')
     Fi = [ 80 70 60 50 40 30 20 10 0 -10];
     La = [-30 -20 -10 0 10 20 30 40 50 60 70 80 90 100 110 120 130 140 150 160 170 180 190];
     %Sredie kontineta
     Fi_0 = 40;
     La_0 = 85;
     %Nielna matrika W
     st_n = size (Fi);
     st_m = size (La);
     W = zeros (st_n(2), st_m(2));
     %referenne toke
     RF_T = [0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
         0 W(2,2) 0 0 W(2,5) W(2,6) W(2,7) W(2,8) W(2,9) W(2,10) W(2,11) W(2,12)...
         W(2,13) W(2,14) W(2,15) W(2,16) W(2,17) W(2,18) W(2,19) W(2,20) W(2,21) W(2,22) W(2,23)
         0 W(3,2) W(3,3) W(3,4) W(3,5) W(3,6) W(3,7) W(3,8) W(3,9) W(3,10) W(3,11) W(3,12)...
         W(3,13) W(3,14) W(3,15) W(3,16) W(3,17) W(3,18) W(3,19) W(3,20) W(3,21) W(3,22) W(3,23)
         0 0 W(4,3) W(4,4) W(4,5) W(4,6) W(4,7) W(4,8) W(4,9) W(4,10) W(4,11) W(4,12)...
         W(4,13) W(4,14) W(4,15) W(4,16) W(4,17) W(4,18) W(4,19) W(4,20) 0 0 0
         0 0 W(5,3) W(5,4) W(5,5) W(5,6) W(5,7) W(5,8) W(5,9) W(5,10) W(5,11) W(5,12)...
         W(5,13) W(5,14) W(5,15) W(5,16) W(5,17) W(5,18) W(5,19) 0 0 0 0
         0 0 W(6,3) 0 0 0 W(6,7) W(6,8) W(6,9) W(6,10) W(6,11) W(6,12)...
         W(6,13) W(6,14) W(6,15) W(6,16) W(6,17) W(6,18) 0 0 0 0 0
         0 0 0 0 0 0 0 W(7,8) W(7,9) W(7,10) W(7,11) W(7,12)...
         W(7,13) W(7,14) W(7,15) W(7,16) 0 0 0 0 0 0 0
         0 0 0 0 0 0 0 W(8,8) W(8,9) 0 W(8,11) W(8,12)...
         W(8,13) W(8,14) W(8,15) W(8,16) W(8,17) 0 0 0 0 0 0 
         0 0 0 0 0 0 0 0 0 0 0 0 0 W(9,14) W(9,15) W(9,16) W(9,17) W(9,18) W(9,19) 0 0 0 0
         0 0 0 0 0 0 0 0 0 0 0 0 0 0 W(10,15) W(10,16) W(10,17) W(10,18) W(10,19) 0 0 0 0];
     %tevilo referennih tok
     RF_st = 119;             
     %standardni paraleli za conusne projekcije
     Fi_1 = 18;
     Fi_2 = 71;
     
elseif znak(1) == 6
    disp('Izbrali ste kontinent: EVROPA')
     Fi = [75 70 65 60 55 50 45 40 35 30];
     La = [-30 -20 -10 0 10 20 30 40 50];
     %Sredie kontinenta
     Fi_0 = 50;
     La_0 = 20;
     %Nielna matrika W
     st_n = size (Fi);
     st_m = size (La);
     W = zeros (st_n(2), st_m(2));
     %referenne toke
     RF_T = [ 0 0 0 0 0 0 0 0 0
         0 0 0 0 0 W(2,6) W(2,7) W(2,8) 0
         0 W(3,2) 0 0 W(3,5) W(3,6) W(3,7) W(3,8) 0
         0 0 W(4,3) W(4,4) W(4,5) W(4,6) W(4,7) W(4,8) 0
         0 0 W(5,3) W(5,4) W(5,5) W(5,6) W(5,7) W(5,8) 0
         0 0 W(6,3) W(6,4) W(6,5) W(6,6) W(6,7) W(6,8) 0
         0 0 W(7,3) W(7,4) W(7,5) W(7,6) W(7,7) W(7,8) 0
         0 0 W(8,3) W(8,4) W(8,5) W(8,6) W(8,7) 0 0
         0 0 W(9,3) W(9,4) W(9,5) W(9,6) W(9,7) 0 0
         0 0 0 0 0 0 0 0 0];
     %tevilo referennih tok
     RF_st = 42;
     %standardni paraleli za conusne projekcije
     Fi_1 = 45;
     Fi_2 = 60;
     
elseif znak(1) == 7
    disp('Izbrali ste kontinent: JUNA AMERIKA')
     Fi = [20 10 0 -10 -20 -30 -40 -50 -60];
     La = [-90 -80 -70 -60 -50 -40 -30];
     %Sredie kontineta
     Fi_0 = -20;
     La_0 = -60; 
     %Nielna matrika W
     st_n = size (Fi);
     st_m = size (La);
     W = zeros (st_n(2), st_m(2));
     %referenne toke
     RF_T = [0 0 0 0 0 0 0
         0 W(2,2) W(2,3) W(2,4) W(2,5) 0 0
         0 W(3,2) W(3,3) W(3,4) W(3,5) W(3,6) 0
         0 W(4,2) W(4,3) W(4,4) W(4,5) W(4,6) W(4,7)
         0 0 W(5,3) W(5,4) W(5,5) W(5,6) 0 
         0 0 W(6,3) W(6,4) W(6,5) 0 0 
         0 W(7,2) W(7,3) W(7,4) 0 0 0
         0 W(8,2) W(8,3) W(8,4) 0 0 0
         0 0 W(9,3) 0 0 0 0];
     %tevilo referennih tok
     RF_st = 29;
     %standardni paraleli za conusne projekcije
     Fi_1 = -5;
     Fi_2 = -35;
     
elseif znak(1) == 8
    disp('Izbrali ste kontinent: SEVERNA AMERIKA')
     Fi = [80 70 60 50 40 30 20 10];
     La = [-170 -160 -150 -140 -130 -120 -110 -100 -90 -80 -70 -60 -50]; 
     %Sredie kontineta
     Fi_0 = 45;
     La_0 = -95;
     %Nielna matrika W
     st_n = size (Fi);
     st_m = size (La);
     W = zeros (st_n(2), st_m(2));
     %referenne toke
     RF_T = [0 0 0 0 0 0 0 0 0 0 0 0 0
         W(2,1) W(2,2) W(2,3) W(2,4) W(2,5) W(2,6) W(2,7) W(2,8) W(2,9) W(2,10) W(2,11) W(2,12) 0
         W(3,1) W(3,2) W(3,3) W(3,4) W(3,5) W(3,6) W(3,7) W(3,8) W(3,9) W(3,10) W(3,11) W(3,12) 0
         0 W(4,2) 0 0 W(4,5) W(4,6) W(4,7) W(4,8) W(4,9) W(4,10) W(4,11) W(4,12) W(4,13)
         0 0 0 0 W(5,5) W(5,6) W(5,7) W(5,8) W(5,9) W(5,10) W(5,11) W(5,12) 0
         0 0 0 0 0 W(6,6) W(6,7) W(6,8) W(6,9) W(6,10) 0 0 0
         0 0 0 0 0 0 W(7,7) W(7,8) W(7,9) W(7,10) W(7,11) 0 0
         0 0 0 0 0 0 0 0 W(8,9) W(8,10) 0 0 0];
     %tevilo referennih tok
     RF_st = 54;     
     %standardni paraleli za conusne projekcije
     Fi_1 = 25;
     Fi_2 = 60;
     
else
    disp(sprintf('--- Vhodni podatki so napani, vnesli ste tevilko ki se ne nahaja med 1 in 8.  ---\n'))
end
