clear all
clc
%Podatki za kontinent Severna Amerika
disp('Izbrali ste kontinent: JUNA AMERIKA')
     Fi = [20 10 0 -10 -20 -30 -40 -50 -60];
     La = [-90 -80 -70 -60 -50 -40 -30];
     %Sredie kontineta
     Fi_0 = -20;
     La_0 = -60; 
     %Nielna matrika W
     st_n = size (Fi);
     st_m = size (La);
     W = zeros (st_n(2), st_m(2));
     %referenne toke
     RF_T = [0 0 0 0 0 0 0
         0 W(2,2) W(2,3) W(2,4) W(2,5) 0 0
         0 W(3,2) W(3,3) W(3,4) W(3,5) W(3,6) 0
         0 W(4,2) W(4,3) W(4,4) W(4,5) W(4,6) W(4,7)
         0 0 W(5,3) W(5,4) W(5,5) W(5,6) 0 
         0 0 W(6,3) W(6,4) W(6,5) 0 0 
         0 W(7,2) W(7,3) W(7,4) 0 0 0
         0 W(8,2) W(8,3) W(8,4) 0 0 0
         0 0 W(9,3) 0 0 0 0];
     %tevilo referennih tok
     RF_st = 29;
     %standardni paraleli za conusne projekcije
     Fi_1 = -5;
     Fi_2 = -35;
     
%parametri GRS80 elipsoida
a = 6378137.000;
f = 1/298.257223563;
[b, eks] = Parametri_b_eks(a,f);


%doloitev standardnih paralel za stoine projekcije pri celinah


%--------------------------------------------------------------------------
%---------------- ALBERSOVA EKVIVALENTNA KONUSNA PROJEKCIA ----------------
%--------------------------------------------------------------------------
st_n = size (Fi);
st_m = size (La);

%DOLOITEV STANDARDNE PARARELE Fi_1 (1.iteracija)
for k = 0:30
Fi_1 = Fi_0 + k;
for i = 1: st_n(2)
    for j = 1:st_m(2)
        
[Y_A, X_A, omega_dms, P_A, Epsilon_A1] = Albers_proj( Fi_0, La_0, Fi_1, Fi_2, Fi(i), La(j), a, f, eks);

y_A(i,j) = Y_A;
x_A(i,j) = X_A;
omega_A(i,j) = omega_dms;
p_A (i,j)= P_A;
Epsilon_a1(i,j) = Epsilon_A1;
    end
end

W = omega_A; 

ref_tocke = [0 0 0 0 0 0 0
         0 W(2,2) W(2,3) W(2,4) W(2,5) 0 0
         0 W(3,2) W(3,3) W(3,4) W(3,5) W(3,6) 0
         0 W(4,2) W(4,3) W(4,4) W(4,5) W(4,6) W(4,7)
         0 0 W(5,3) W(5,4) W(5,5) W(5,6) 0]; 
         %0 0 W(6,3) W(6,4) W(6,5) 0 0 
         %0 W(7,2) W(7,3) W(7,4) 0 0 0
         %0 W(8,2) W(8,3) W(8,4) 0 0 0
         %0 0 W(9,3) 0 0 0 0];
     
Fi_S(k+1) =  Fi_1;    
sum_RF(k+1) = sum (sum(ref_tocke));
%povprecje = sum_RF/RF_st
%y_A
%x_A
end
Fi_S';
sum_RF';
figure 
 plot ( Fi_S',sum_RF')
 title('DOLOITEV STANDARDNE PARARELE Fi_1 za J AMERIKO (1.iteracija)')
 xlabel('Poloaj standardne paralele Fi_1 []')
 ylabel('Vsota kotnih deformacij na RF_T')

%DOLOITEV STANDARDNE PARARELE Fi_2 (1.iteracija)

Fi_1 = -1; % iz prvega grafa preberi najnijo vrednost
for h = 0:40
Fi_2 = Fi_0 - h;
for i = 1: st_n(2)
    for j = 1:st_m(2)
        
[Y_A, X_A, omega_dms, P_A, Epsilon_A1] = Albers_proj( Fi_0, La_0, Fi_1, Fi_2, Fi(i), La(j), a, f, eks);

y_A(i,j) = Y_A;
x_A(i,j) = X_A;
omega_A(i,j) = omega_dms;
p_A (i,j)= P_A;
Epsilon_a1(i,j) = Epsilon_A1;
    end
end

W = omega_A; 
%ref_tocke = [0 0 0 0 0 0 0
         %0 W(2,2) W(2,3) W(2,4) W(2,5) 0 0
         %0 W(3,2) W(3,3) W(3,4) W(3,5) W(3,6) 0
         %0 W(4,2) W(4,3) W(4,4) W(4,5) W(4,6) W(4,7)
         ref_tocke = [0 0 W(5,3) W(5,4) W(5,5) W(5,6) 0 
         0 0 W(6,3) W(6,4) W(6,5) 0 0 
         0 W(7,2) W(7,3) W(7,4) 0 0 0
         0 W(8,2) W(8,3) W(8,4) 0 0 0
         0 0 W(9,3) 0 0 0 0];
     
Fi_N(h+1) =  Fi_2;    
sum_RF(h+1) = sum (sum(ref_tocke));

end
Fi_N';
sum_RF';
figure 
 plot ( Fi_N',sum_RF')
 title('DOLOITEV STANDARDNE PARARELE Fi_2 za J AMERIKO (1.iteracija)')
 xlabel('Poloaj standardne paralele Fi_2 []')
 ylabel('Vsota kotnih deformacij na RF_T')

%DOLOITEV STANDARDNE PARARELE Fi_1 (2.iteracija)

Fi_2 = -39.66; %Iz drugega grafa preberi naj nijo vrednost in jo zapii
for k = 0:12
Fi_1 = -1 + k/6;
for i = 1: st_n(2)
    for j = 1:st_m(2)
        
[Y_A, X_A, omega_dms, P_A, Epsilon_A1] = Albers_proj( Fi_0, La_0, Fi_1, Fi_2, Fi(i), La(j), a, f, eks);

y_A(i,j) = Y_A;
x_A(i,j) = X_A;
omega_A(i,j) = omega_dms;
p_A (i,j)= P_A;
Epsilon_a1(i,j) = Epsilon_A1;
    end
end

W = omega_A; 
ref_tocke = [0 0 0 0 0 0 0
         0 W(2,2) W(2,3) W(2,4) W(2,5) 0 0
         0 W(3,2) W(3,3) W(3,4) W(3,5) W(3,6) 0
         0 W(4,2) W(4,3) W(4,4) W(4,5) W(4,6) W(4,7)
         0 0 W(5,3) W(5,4) W(5,5) W(5,6) 0]; 
         %0 0 W(6,3) W(6,4) W(6,5) 0 0 
         %0 W(7,2) W(7,3) W(7,4) 0 0 0
         %0 W(8,2) W(8,3) W(8,4) 0 0 0
         %0 0 W(9,3) 0 0 0 0];
Fi_Ss(k+1) =  Fi_1;    
sum_RFs(k+1) = sum (sum(ref_tocke));

end
Fi_Ss';
sum_RFs';
figure 
 plot ( Fi_Ss',sum_RFs')
 title('DOLOITEV STANDARDNE PARARELE Fi_1 za J AMERIKO (n-ta iteracija)')
 xlabel('Poloaj standardne paralele Fi_1 []')
 ylabel('Vsota kotnih deformacij na RF_T')
 
%DOLOITEV STANDARDNE PARARELE Fi_2 (2.iteracija)

Fi_1 = -0.16; %Iz tretjega grafa preberi naj nijo vrednost in jo zapii
for h = 0:12
Fi_2 = -39 - h/6;
for i = 1: st_n(2)
    for j = 1:st_m(2)
        
[Y_A, X_A, omega_dms, P_A, Epsilon_A1] = Albers_proj( Fi_0, La_0, Fi_1, Fi_2, Fi(i), La(j), a, f, eks);

y_A(i,j) = Y_A;
x_A(i,j) = X_A;
omega_A(i,j) = omega_dms;
p_A (i,j)= P_A;
Epsilon_a1(i,j) = Epsilon_A1;
    end
end

W = omega_A; 
%ref_tocke = [0 0 0 0 0 0 0
         %0 W(2,2) W(2,3) W(2,4) W(2,5) 0 0
         %0 W(3,2) W(3,3) W(3,4) W(3,5) W(3,6) 0
         %0 W(4,2) W(4,3) W(4,4) W(4,5) W(4,6) W(4,7)
         ref_tocke = [0 0 W(5,3) W(5,4) W(5,5) W(5,6) 0 
         0 0 W(6,3) W(6,4) W(6,5) 0 0 
         0 W(7,2) W(7,3) W(7,4) 0 0 0
         0 W(8,2) W(8,3) W(8,4) 0 0 0
         0 0 W(9,3) 0 0 0 0];
Fi_Nn(h+1) =  Fi_2;    
sum_RFn(h+1) = sum (sum(ref_tocke));
end

%povprecje = sum_RF/RF_st
Fi_Nn';
sum_RFn';
figure 
plot ( Fi_Nn',sum_RFn')
 title('DOLOITEV STANDARDNE PARARELE Fi_2 za J AMERIKO (n-ta iteracija)')
 xlabel('Poloaj standardne paralele Fi_2 []')
 ylabel('Vsota kotnih deformacij na RF_T')
