function [B, L, A, Cp, Cn, W, B_median, L_median, A_median, Cp_median, Cn_median, W_median, B_max, L_max, A_max,...
    Cp_max, Cn_max, W_max, B_std, L_std, A_std, Cp_std, Cn_std, W_std, B_SE, L_SE, A_SE, Cp_SE, Cn_SE, W_SE]...
    = Posredovanje_rezultatov( kriterij, kontinent, st_RT, Epsilon_A1_B, Epsilon_A1_L, Epsilon_A1_A, Epsilon_A1_Cp,...
    Epsilon_A1_Cn, Epsilon_A1_W, Eps_m_B, Eps_m_L, Eps_m_A, Eps_m_Cp, Eps_m_Cn, Eps_m_W, Eps_n_B, Eps_n_L, Eps_n_A,...
    Eps_n_Cp, Eps_n_Cn, Eps_n_W, omega_B, omega_L, omega_A, omega_Cp, omega_Cn, omega_W)

if kriterij == 1
[ B, L, A, Cp, Cn, W, B_median, L_median, A_median, Cp_median, Cn_median, W_median, B_max, L_max, A_max,...
    Cp_max, Cn_max, W_max, B_std, L_std, A_std, Cp_std, Cn_std, W_std, B_SE, L_SE, A_SE, Cp_SE, Cn_SE, W_SE]...
    = Pogoj_1( Epsilon_A1_B, Epsilon_A1_L, Epsilon_A1_A, Epsilon_A1_Cp, Epsilon_A1_Cn, Epsilon_A1_W, kontinent, st_RT);

elseif kriterij == 2
[ B, L, A, Cp, Cn, W, B_median, L_median, A_median, Cp_median, Cn_median, W_median, B_max, L_max, A_max,...
    Cp_max, Cn_max, W_max, B_std, L_std, A_std, Cp_std, Cn_std, W_std, B_SE, L_SE, A_SE, Cp_SE, Cn_SE, W_SE]...
    = Pogoj_2( Eps_m_B, Eps_m_L, Eps_m_A, Eps_m_Cp, Eps_m_Cn, Eps_m_W, kontinent, st_RT );       

elseif kriterij == 3
[ B, L, A, Cp, Cn, W, B_median, L_median, A_median, Cp_median, Cn_median, W_median, B_max, L_max, A_max,...
    Cp_max, Cn_max, W_max, B_std, L_std, A_std, Cp_std, Cn_std, W_std, B_SE, L_SE, A_SE, Cp_SE, Cn_SE, W_SE]...
    = Pogoj_3( Eps_n_B, Eps_n_L, Eps_n_A, Eps_n_Cp, Eps_n_Cn, Eps_n_W, kontinent, st_RT );    

elseif kriterij == 4
[ B, L, A, Cp, Cn, W, B_median, L_median, A_median, Cp_median, Cn_median, W_median, B_max, L_max, A_max,...
    Cp_max, Cn_max, W_max, B_std, L_std, A_std, Cp_std, Cn_std, W_std, B_SE, L_SE, A_SE, Cp_SE, Cn_SE, W_SE]...
    = Pogoj_4( omega_B, omega_L, omega_A, omega_Cp, omega_Cn, omega_W, kontinent, st_RT );

else 
    disp(sprintf('--- VHODNI PODATKI SO NAPANI, vnesli ste napano tevilko eljenega dodatnega pogoja ---'))
    disp(sprintf('--- Izbirate lahko med pogoji, ki so oznaeni od 1 do 4. Vi ste vnesli tevilko %d  ---', kriterij))
    disp(sprintf('--- POSKUSITE ZNOVA ---\n'))

end
