clear all
clc
%Podatki za kontinent Afrika
[ Fi, La, Fi_0, La_0] = Izbira_celine( 4 );
   
  %parametri GRS80 elipsoida
a = 6378137.000;
f = 1/298.257223563;
[b, eks] = Parametri_b_eks(a,f);


%doloitev standardnih paralel za stoine projekcije pri celinah


%--------------------------------------------------------------------------
%---------------- CILINDRINA EKVIVALENTNA POKONNA PROJEKCIA -------------
%--------------------------------------------------------------------------
st_n = size (Fi);
st_m = size (La);

%DOLOITEV STANDARDNIH PARALEL PRI CILINDRINI POKONNI PROJEKCIJI ZA AFRIKO (1.)
for k = 0:40
Fi_S_dms = 0 + k;
for i = 1: st_n(2)
    for j = 1:st_m(2)
        
[X_Cn, Y_Cn, omega_dms, P_Cn, Epsilon_A1] = CILIND_NORMALNA_proj(Fi_0, La_0, Fi(i), La(j), a, f, eks, Fi_S_dms);

y_Cn(i,j) = Y_Cn;
x_Cn(i,j) = X_Cn;
omega_Cn(i,j) = omega_dms;
p_Cn (i,j)= P_Cn;
Epsilon_a1(i,j) = Epsilon_A1;
    end
end
%Matrika deformacij
W = omega_Cn; 

%Vrednosti deformacij na referennih tokah
[ RF_T, RF_st ] = Referencne_tocke( 4 , W );

     %tevilo referennih tok
Fi_S(k+1) =  Fi_S_dms;    
sum_RF(k+1) = sum (sum(RF_T));
%povprecje = sum_RF/RF_st
%y_A
%x_A
end
Fi_S';
sum_RF';
figure 
 plot ( Fi_S',sum_RF')
 title('DOLOITEV STANDARDNIH PARALEL ZA AFRIKO (1.)')
 xlabel('standardna paralela Fi_S')
 ylabel('Vsota kotnih deformacij na RF_T')

 
%DOLOITEV STANDARDNIH PARALEL PRI CILINDRINI POKONNI PROJEKCIJI ZA AFRIKO (2.)
for k = 0:12
Fi_s_dms = 18 + k/6;
for i = 1: st_n(2)
    for j = 1:st_m(2)
        
[X_Cn, Y_Cn, omega_dms, P_Cn, Epsilon_A1] = CILIND_NORMALNA_proj(Fi_0, La_0, Fi(i), La(j), a, f, eks, Fi_s_dms);

y_Cn(i,j) = Y_Cn;
x_Cn(i,j) = X_Cn;
omega_Cn(i,j) = omega_dms;
p_Cn (i,j)= P_Cn;
Epsilon_a1(i,j) = Epsilon_A1;
    end
end
%Matrika deformacij
W = omega_Cn; 

%Vrednosti deformacij na referennih tokah
[ RF_T, RF_st ] = Referencne_tocke( 4 , W );

Fi_s(k+1) =  Fi_s_dms;    
sum_RF_(k+1) = sum (sum(RF_T));
%povprecje = sum_RF/RF_st
%y_A
%x_A
end
Fi_s';
sum_RF_';
figure 
 plot ( Fi_s',sum_RF_')
 title('DOLOITEV STANDARDNIH PARALEL ZA AFRIKO (2.)')
 xlabel('standardna paralela Fi_S')
 ylabel('Vsota kotnih deformacij na RF_T')
 
